> For the complete documentation index, see [llms.txt](https://docs.satori.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.satori.finance/api-docs/openapi/rest-api/private-query/account-query-account-balance.md).

# \[Account] Query account balance

**method url**:`/api/third/hot/order/balance`

**request type**:`POST`

**content type**：application/x-www-form-urlencoded

**need sign:**`true`

**detail**:

**request param**:

| param\_name | param note | type  | required | data type | schema |
| ----------- | ---------- | ----- | -------- | --------- | ------ |
| symbol      |            | query | true     | string    |        |
| timestamp   |            | query | true     | string    |        |

**response param**:

| param\_name       | param note | data type      | schema |
| ----------------- | ---------- | -------------- | ------ |
|   availableAmount |            | number         |        |
|   coinId          |            | integer(int64) |        |
|   frozenAmount    |            | number         |        |
|   symbol          |            | string         |        |
|   userId          |            | integer(int64) |        |

**example**:

> 1 Set request parameters, query params:

```
symbol:USD
timestamp:1725867599415
```

> 2 Build the Parameters

```
symbol=USD&timestamp=1725867599415
```

> 3 Sign the parameter string format, result:

```
0xb89ebe4ad4aabdb7a01e5ad190b341ebc42a011dd416cfc7b4b8ee381eb124ce0147e01a0944afa44e99afd9636b857f30f595478bb665b3a2982b9d94bcc3ef1b
```

> 4 Assemble the complete request

```
curl --location --request POST 'https://zk-test.satori.finance/api/third/hot/order/balance?symbol=USD&timestamp=1725867599415' \
--header 'APIKEY: st_fq6cvRF4fr5tnKiZfrIntRnLfrwxcXjcfr1y8FR7' \
--header 'X-SAPI-SIGN-TYPE: 2' \
--header 'signature: 0xb89ebe4ad4aabdb7a01e5ad190b341ebc42a011dd416cfc7b4b8ee381eb124ce0147e01a0944afa44e99afd9636b857f30f595478bb665b3a2982b9d94bcc3ef1b' \
--header 'Content-Type: text/plain' \
--data ''
```

> 5 Return results

```
{
    "error": false,
    "code": 200,
    "msg": "SUCCESS",
    "data": {
        "userId": 42471,
        "coinId": 4,
        "availableAmount": "999951.980199",
        "frozenAmount": "47.390168",
        "symbol": "USD"
    },
    "sid": "1809703344791625729"
}
```

**Error Code**:

| code | msg                            |
| ---- | ------------------------------ |
| 2001 | Illegal parameter:{param0}     |
| 2002 | Required parameter:{param0}    |
| 2122 | No hot assets have been frozen |
| 4001 | Invalid address                |
